
Figure - Bug #114043
【BSP】【EVT2】【WIFI吞吐量】【5/5】【User】【UDP/TCP】2.4G wifi在802.11ax协议通道6下，下行速率
仅106Mbit/s，不满足150Mbit/s
2022-11-18 17:51 - CDTS_TEST 刘勇

Status: CLOSED Start date: 2022-11-18

Priority: High Due date: 2022-11-30

Assignee: CDTS_TEST 刘勇 % Done: 0%

Category: LC Estimated time: 0.00 hour

Target version: MCE_V4.0update_20221215(原VC1_FSE_Vdec1219)

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0046.X101

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause:

Description

【前提条件】

1.PC通过网线链接路由，DUT通过WIFI链接路由

【操作步骤】

1.环境搭建确保设备与PC在同一局域网下

2.安装Iperf应用到DUT端

3.PC终端进入到Iperf根目录下

4.路由器设置为11AX Mode 信道设置为 6带宽设置为40MHZ后重启路由器

5.DUT端打开apk输入iperf -s -u -i 1

6.PC端输入iperf -c x.x.x.x  -u -b 300M -P 8 -i 1 -t 30

7.观察PC终端测试1分钟时间，数值不小于标准值" 

【实际结果】

7.DUT端，30秒总接收速率106Mbit/s 不满足期望结果

【期望结果】

7.观察PC终端测试1分钟时间，数值不高于标准值150Mbit/s

【备注】

1> 2.4G-11AX Mode(BW=40MHz)    Channel 6  UDP和TCP的RX吞吐量都不符合150Mbit/s标准

History

#1 - 2022-11-19 14:18 - CD LC 陶洪普

- Due date set to 2022-11-25

- Assignee changed from CD LC 陶洪普 to CDTS_TEST 刘勇

Hi 刘勇

该Issue描述的是Channel 6, 请帮忙上传完整测试结果(包括其他Channel,比如1,11,5Gband)

我这里没有整机, 周一我们一起看一下测试环境因素.

谢谢!

#2 - 2022-11-19 14:19 - CD LC 陶洪普

- Category changed from CD-FW to LC

#3 - 2022-11-22 10:48 - CDTS_TEST 刘勇
- File 吞吐V2.xlsx added

- Assignee changed from CDTS_TEST 刘勇 to CD LC 陶洪普

已上传测试结果——吞吐V2.xlsx 在附件中。

#4 - 2022-11-22 15:37 - CD LC 陶洪普

Test Item   Bluetooth OFF                

                                       Channel 1      Channel 6        Channel 13

11AX Mode(BW=40MHz)     TX    178            200         197        

RX     155          106         215        

从结果看Channel有问题，其他Channle OK。与测试确认测试环境中。

#5 - 2022-11-22 15:38 - CD LC 陶洪普

- Status changed from New to ASSIGNED

#6 - 2022-11-28 09:32 - CD LC 陶洪普

- Due date changed from 2022-11-25 to 2022-11-30

- Target version changed from VX1_MCE_FSE_V3.0_update_20221130 to MCE_V4.0update_20221215(原VC1_FSE_Vdec1219)

更新：

该问题需要现场与测试对齐，目前因疫情，无法在相对干净环境下确认。

暂时pending，修改到12月中fix。

明天再确认是否可一起现场分析该问题。

#7 - 2022-11-28 12:25 - CDTS_TEST 王成

- Priority changed from Normal to High

#8 - 2022-11-28 12:25 - CDTS_TEST 王成

- Severity changed from Major to Critical

#9 - 2022-11-28 13:28 - CD LC 陶洪普

更新

与测试确认，之前测试的29F，因疫情，今天无法测试。

在Channel 6 上使用之前EVT1版本与现在测试版本（在居家环境（可能会有部分干扰））做对比测试。

在EVT1与目前版本，对Channel 只更新过校准数据（RSSI修改）。

测试反馈：更换过天线。（先做对比测试）

#10 - 2022-11-29 01:53 - CD LC 陶洪普

更新：

202221128 下午软硬件会议记录

1、使用EVT2的主板，9月28日的软件进行复测；

2、邹涛测试结果与成都刘勇测试结果不一致；（对齐方法和理解）

3、环境排除干净后复测；
#11 - 2022-11-29 01:59 - CD LC 陶洪普

1、使用EVT2的主板，9月28日的软件进行复测；

成都测试居家，地下停车长测试，使用目前和0928，及其他channel都不达标，有干扰，不具备测试环境。请深圳帮测试。

2、深圳测试结果与成都刘勇测试结果不一致；（对齐方法和理解）

对tx，深圳测试记录的数据流是从PC到DUT，已澄清，改方向应记录为RX（相对于DUT来说）

测试环境：

a. 屏蔽室门关闭

b. 测试前，扫描信号，关闭其他测试信号比如路由器，其他终端设备，GPS，BTS等

3、环境排除干净后复测；

请深圳测试在20221129 尽可能早的安排测试（已沟通），测试过程中如有问题，随时与成都开发测试联系。

#12 - 2022-11-30 08:29 - CD LC 陶洪普

更新：

20221129日测试结果

在VX1的这台设备上测试TX 只有45Mbps (2.4G Channel 6), RX 是正常的

排查天线连接

测试其他Channel 1,11 或者5G 的TX, （带宽配置都保持与Channel 6一致）

-排查丢包和重传

需要抓取Sniffer和Tcpdump确认。抓取数据包，确认数据包的输出速率

 回退版本（主要是校准文件，在1122日测试结果中，其他Channel 正常，说明AP侧对数据包的处理没有问题）

- CD侧确认下29F 是否可以上去了，在CD这边也准备环境测试（主要移动电源和DUT设备）

#13 - 2022-12-01 11:19 - CD LC 陶洪普

- File 吞吐022-V-VX1板子-20221130.xlsx added

更新：

成都测试结果　请参照附件 吞吐022-V-VX1板子-20221130.xlsx.

在200M左右＞150Mbit/s标准.

下一步:

测试Double测试. 确认是否两次测试过程中有差异.

#14 - 2022-12-01 15:45 - CD LC 陶洪普

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD LC 陶洪普 to CDTS_TEST 刘勇

20221201 在19F环境下复测, 速率超过150Mbps,满足资料.

前后已测试三次.

该票反馈的Channel 6不达标问题, 不复现. 申请关闭.

2025-07-04 3/4



请测试同学帮忙整理上传最新结果.谢谢!

#15 - 2022-12-05 10:44 - CDTS_TEST 刘勇

- File 吞吐SI-051-1201.xlsx added

- Status changed from RESOLVED to VERIFIED

已上传附件：吞吐-SI-051-1201.xlsx

SW:FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0053.X101

HW:EVT2-VC1及华为AX300路由器

测试次数3次

#16 - 2022-12-05 10:44 - CDTS_TEST 刘勇

- Status changed from VERIFIED to CLOSED

Files

吞吐V2.xlsx 77.3 KB 2022-11-22 CDTS_TEST 刘勇

吞吐022-V-VX1板子-20221130.xlsx 2.42 MB 2022-12-01 CD LC 陶洪普

吞吐SI-051-1201.xlsx 18.4 KB 2022-12-05 CDTS_TEST 刘勇
